% Copyright 2011-2013 Ulf Blanke, Swiss Federal Institute of Technology (ETH) Zurich, Switzerland
% Copyright 2011-2013 Andreas Bulling, Max Planck Institute for Informatics, Germany
%
% This file is part of the HARPS Matlab toolbox.
%
% HARPS is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% HARPS is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with HARPS. If not, see <http://www.gnu.org/licenses/>.

function job(varargin)
global counter;
counter = [];
disp(length(varargin));
fprintf('MCR_CACHE_ROOT IS SET TO %s',getenv('MCR_CACHE_ROOT'));
id=str2double(varargin{1}); % todo adapt to process_options
run_experiments;
if isdeployed
    exit;
end
end


%{ 
(1) compile using run_make_job
--> job and run_job.sh are created in Queue
(2) ssh to submit-lenny
(3) execute submit_job.sh which sends command queue_job.sh to queue

Notes:
setup runtime
set $MATLABRUNTIMEPATH=/BS/opt/local/MATLAB_Compiler_Runtime/v714

%}